Comment 38 for bug 585940

Yes Adobe doesn't currently make Flash for 64bit, but they don't make any of CS5 for Linux, so I guess Ubuntu as a whole shouldn't be recommended? Or more analogous, there is no Flash at all on iOS yet people have no problem with those devices.

Saying 64-bit is not recommended due to third party problems is a chicken and egg scenario:

Less people use 64-bit because of {insert issue like Flash}...
Maker of {issue like Flash} sees little need to hurry/start 64-bit development since there are so few users...
There are fewer users because of {insert issue like Flash}...
Maker of {issue like Flash} sees little need to hurry/start 64-bit development since there are so few users...